Make WordPress Core

#56874 closed defect (bug) (wontfix)

Change the constant EBML_ID_COLOURSPACE to EBML_ID_COLORSPACE on module.audio-video.matroska.php

Reported by: rakibwordpress's profile rakibwordpress Owned by:
Milestone: Priority: normal
Severity: normal Version:
Component: External Libraries Keywords: has-patch
Focuses: coding-standards Cc:

Description

As colour is used as color so changing the constant EBML_ID_COLOURSPACE is more relevant for the developers.

Change History (3)

This ticket was mentioned in PR #3509 on WordPress/wordpress-develop by @rakibwordpress.


21 months ago
#1

  • Keywords has-patch added

Trac ticket:

#2 @jrf
21 months ago

  • Component changed from General to External Libraries
  • Keywords close added
  • Version 6.1 deleted

@rakibwordpress The file you are referring to is from an external dependency: GetID3, which is not maintained here.

Additionally, changing the name of this constant would be a breaking change, which, depending on the PHP version, could cause fatal errors if any code, be it a plugin, theme or even WP Core itself, would refer to that constant.

I'd recommend closing this ticket without action.

#3 @SergeyBiryukov
21 months ago

  • Keywords close removed
  • Milestone Awaiting Review deleted
  • Resolution set to wontfix
  • Status changed from new to closed

Hi there, welcome back to WordPress Trac!

As noted above, GetID3 is an external library and should not be patched here, any suggested changes to its files should be submitted upstream.

It's worth noting that while the spelling guidelines do indeed recommend American spelling, e.g. color instead of colour, these guidelines only apply to WordPress core and not to external libraries.

Note: See TracTickets for help on using tickets.